=== debian/changelog ===
gap (4.11.0-4) unstable; urgency=medium

  * patch:
    - fix-gac: from upstream: gac: link with -export-dynamic
  * debian/control:
    - Update Breaks to account for binNMUs.

 -- Bill Allombert <ballombe@debian.org>  Mon, 04 May 2020 15:04:41 +0200

gap (4.11.0-3) unstable; urgency=medium

  * patch:
    - disable-test-nanoseconds: do not assume hires timer is available.
  * gap2deb: 
    - read TestFile field
    - fix generation of doc-base Files field.
  * debian/doc/gap2man: Update copyright date
  * debian/doc/gac.1: Update copyright date
  * debian/control: Remove useless Breaks on gap-scscp and gap-openmath

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2020 21:40:07 +0200

gap (4.11.0-2) unstable; urgency=low

  * patches:
    - remove-infopackage-warning: new version by Christopher Jefferson.
    - GenStackFuncBags-mark-NOINLINE: added: fix inlining issue.
  * debian/control:
    - libgap-dev, libgap7: Replaces gap-dev (<< 4.11.0)
    - Remove outdated Replaces.
    - Update Breaks:
  * debian/rules: test using "make check"
  * On Ubuntu, gap-core now recommends gap to work around command-not-found
    bad suggestion.

 -- Bill Allombert <ballombe@debian.org>  Wed, 15 Apr 2020 16:42:09 +0200

gap (4.11.0-1) experimental; urgency=low

  * New upstream release
    - patch doc-Makefile: remove changes.pdf
    - patch fix-Makefile: partially applied upstream
    - patch add-soname: provided by upstream
  * debian/gap-doc.doc-base.changes, debian/rules:
    - changes.pdf replaced by CHANGES.md
  * debian/changelog, debian/watch:
    - Switch to x.y.z version numbering. Thanks to Max Horn for his advice.
  * debian/tarball, debian/README.source
    - update upstream tarball name (gap-*-core.zip).
  * debian/watch, debian/gap2deb:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.5.0
    - Bump dephelper version to 12
    - Build-Depends on debhelper-compat (= 12)
  * debian/control:
    - Remove Build-Depends on autotools-dev, implied by debhelper.
    - gap-core: Provides: gap-kernel-7
  * debian/control, debian/rules:
    - add new packages libgap7, libgap-dev. Closes: #951275.
  * debian/compat: removed
  * debian/gap2deb, debian/watch:
    - Move from https://www.gap-system.org/pub/gap to
                https://files.gap-system.org
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Sun, 05 Apr 2020 13:47:27 +0200
