=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper-compat (= 12),
               libgmp-dev, libreadline-dev, zlib1g-dev,
               gap-gapdoc (>= 1.5.1-2), help2man, locales,
               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                     gap-character-tables, gap-atlasrep, gap-table-of-marks
Standards-Version: 4.5.0
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
            gap-smallgrp,
            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
            gap-table-of-marks, gap-factint
Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
          gap-sonata, gap-toric
Description: computer algebra system for Groups, Algorithms and Programming
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Provides: gap-kernel-7
Recommends: ${dist:Recommends}
Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}, libgmp-dev, libgap-dev (=${binary:Version})
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: gap-gapdoc
Multi-Arch: foreign
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in HTML and PDF formats.

Package: libgap-dev
Architecture: any
Section: libdevel
Provides: libgap7-dev
Depends: libgap7 (= ${binary:Version}), libc-dev, ${misc:Depends}
Replaces: gap-dev (<< 4.11.0)
Multi-Arch: same
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the include files and static library.

Package: libgap7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Replaces: gap-dev (<< 4.11.0)
Multi-Arch: same
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the shared library.
