=== debian/watch ===
version=3
https://files.gap-system.org/gap4core/gap-(\d+\.\d+\.\d+)-core.zip debian
