## gap 4.11.1

=== debian/changelog ===
gap (4.11.1-1) unstable; urgency=medium

  * New upstream release.
    - patch fix-gac: removed, applied upstream
    - patch fix-test-bigendian: removed, applied upstream
    - patch GenStackFuncBags-mark-NOINLINE: removed, applied upstream
    - patch fix-Makefile: updated
  * debian/watch, debian/tarball: update for new URL scheme
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.6.0
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules, debian.control:
    - revert 'On Ubuntu, gap-core now recommends gap', not needed anymore
  * debian/rules: 
    - fix typo CTblLib -> CtblLib
    - add link /usr/lib/$triplet/gap/gac -> /usr/bin/gac.
      Closes: #987160.  Thanks Jerome Benoit 

 -- Bill Allombert <ballombe@debian.org>  Sat, 25 Sep 2021 14:57:15 +0200

gap (4.11.0-5) unstable; urgency=medium

  * debian/doc/gap2man:
    - use mktemp instead of tempfile. Closes: #993722. Thanks Samuel Thibault

 -- Bill Allombert <ballombe@debian.org>  Sat, 18 Sep 2021 11:37:02 +0200
