=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -35,7 +35,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Provides: gap-kernel-7
-Recommends: ${dist:Recommends}
+Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
 Description: GAP computer algebra system, core components
