=== debian/rules ===
--- 
+++ 
@@ -36,12 +36,6 @@
 SILENT="V=1"
 endif
 
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-	SUBSTVARS = -Vdist:Recommends="gap"
-else
-	SUBSTVARS = -Vdist:Recommends="gap-online-help"
-endif
-
 config.status: configure
 	dh_testdir
 	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd --enable-static
@@ -51,8 +45,7 @@
 	mkdir pkg
 	ln -s /usr/share/gap/pkg/GAPDoc pkg
 	ln -s /usr/share/gap/pkg/AtlasRep pkg
-	ln -s /usr/share/gap/pkg/CTblLib pkg
-	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/CtblLib pkg
 	ln -s /usr/share/gap/pkg/TomLib pkg
 	ln -s /usr/share/gap/pkg/SmallGrp pkg
 	ln -s /usr/share/gap/pkg/PrimGrp pkg
@@ -134,6 +127,7 @@
 	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
 	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
+	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
 	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet},g" \
                  debian/gap-dev/usr/bin/gac
