=== debian/watch ===
version=2
#opts=filenamemangle=s/.+\/v?(\d\S+)-core\.tar\.gz/gap-$1\.tar\.gz/ \
https://github.com/gap-system/gap/releases .*/v([^/]+)/gap-\d\S+-core\.tar\.gz debian
