## gap 4.12.1

=== debian/changelog ===
gap (4.12.1-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:32:44 +0000

gap (4.12.1-2build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:54:32 +0100

gap (4.12.1-2) unstable; urgency=medium

  * New patch:
    - gaptime-hurd: fix timer on hurd
  * debian/control, debian/copyright, README.Debian,
    debian/doc/gap-policy.sgml, debian/doc/gac.1:
    - use https instead of http.
  * debian/control:
    - gap: Update Recommends and Suggests list to reflect available
      GAP packages.
  * debian/rules: 
    - remove obsolete --with-gmp=system
    - do not install /usr/include/gap/config.h and gap/config-arch.h

 -- Bill Allombert <ballombe@debian.org>  Sat, 05 Nov 2022 17:44:02 +0100

gap (4.12.1-1) unstable; urgency=medium

  * New upstream release.
    - patch fix-Makefile: removed, applied upstream
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.6.1

 -- Bill Allombert <ballombe@debian.org>  Fri, 28 Oct 2022 12:16:22 +0200

gap (4.12.0-1) experimental; urgency=medium

  * New upstream release.
    - patch fix-package.txt: removed, applied upstream
    - patch disable-test-smallgrp: removed, applied upstream
    - patch add-soname: removed, applied upstream
    - patch program-path: updated
    - patch fix-Makefile: updated
  * debian/control, debian/rules: soname bump:
    - replace libgap7 by libgap8, gap-kernel-7 by gap-kernel-8
  * debian/copyright: update

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Sep 2022 16:17:45 +0200

gap (4.11.1-3) unstable; urgency=medium

  * patch fix-package.txt: from upstream:
    - update test for gapdoc-1.6.6
      Closes: #1020174. Thanks Lucas Nussbaum

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Sep 2022 09:57:23 +0200

gap (4.11.1-2) unstable; urgency=medium

  * patch disable-test-smallgrp: new:
    - Fix test tst/testinstall/small_groups.tst for newer smallgrp package
      Closes: #1016333. Thanks Lucas Nussbaum
  * debian/watch: bump version.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control:
    - Build-depends on debhelper-compat (= 13)
  * debian/control, debian/doc/Makefile, patch doc-makefile
    - add Rules-Requires-Root: no

 -- Bill Allombert <ballombe@debian.org>  Sat, 30 Jul 2022 12:08:52 +0200
