=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: gap
 Section: math
 Priority: optional
-Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
-Standards-Version: 4.6.0
-Homepage: http://www.gap-system.org/
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Homepage: https://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
-            gap-smallgrp,
-            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
-            gap-table-of-marks, gap-factint
-Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
-          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
-          gap-sonata, gap-toric
+Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
+            gap-autpgrp, gap-alnuth, gap-character-tables, gap-factint,
+            gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
+Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-congruence,
+          gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
+          gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
+          gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
@@ -34,7 +36,7 @@
 Package: gap-core
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
-Provides: gap-kernel-7
+Provides: gap-kernel-8
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
@@ -115,8 +117,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap7-dev
-Depends: libgap7 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap8-dev
+Depends: libgap8 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -129,7 +131,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap7
+Package: libgap8
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})
