## gap 4.13.1

=== debian/changelog ===
gap (4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/gap2deb: update to salsa.debian.org version.

 -- Bill Allombert <ballombe@debian.org>  Fri, 21 Jun 2024 00:14:10 +0200

gap (4.13.0-2) unstable; urgency=medium

  * patch: gac-use--lgap: build GAP modules with -lgap.
  * debian/gap-core.link:
    - remove obsolete link usr/share/gap/sysinfo.gap-debian

 -- Bill Allombert <ballombe@debian.org>  Thu, 25 Apr 2024 12:31:16 +0200

gap (4.13.0-1) unstable; urgency=medium

  * New upstream release.
    - fix test requiring old GAPDoc: Closes: #1068756.
    - gaptime-hurd, fix-libtool: removed
    - no-needed-pkg, fix-test-dir: updated
    - install-static-lib, disable-test-readdir: added
  * binaries packages are now built against libgap instead of gap-core.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/doc/gap2man: update
  * debian/control, debian/rules: soname bump:
    - replace libgap8 by libgap9. Closes: #1061972.
    - gap-core no more Provides gap-kernel-8
  * debian/rules:
    - remove gap-dev/usr/include/gap/src links
  * debian/control:
    - Bump Standards-Version to 4.7.0
    - gap now Suggests: gap-browse

 -- Bill Allombert <ballombe@debian.org>  Thu, 11 Apr 2024 11:21:31 +0200
