=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gap
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Allombert <ballombe@debian.org>
+Maintainer: Bill Allombert <ballombe@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
@@ -10,16 +9,16 @@
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
-            gap-autpgrp, gap-alnuth, gap-character-tables, gap-factint,
+            gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
             gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
-Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-congruence,
+Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
           gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric
@@ -36,7 +35,6 @@
 Package: gap-core
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
-Provides: gap-kernel-8
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
@@ -117,8 +115,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap8-dev
-Depends: libgap8 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap9-dev
+Depends: libgap9 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -131,7 +129,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap8
+Package: libgap9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})
