=== debian/rules ===
--- 
+++ 
@@ -18,16 +18,18 @@
 triplet = $(DEB_HOST_MULTIARCH)
 libtriplet = usr/lib/$(triplet)
 gaptriplet = $(libtriplet)/gap
-library = libgap8
+library = libgap9
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
+
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
-export CFLAGS
+CXXFLAGS := $(CFLAGS)
+export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
 ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
@@ -59,7 +61,7 @@
 build-arch:  config.status build-arch-stamp
 build-arch-stamp: prep-stamp
 	dh_testdir
-	$(MAKE) all libgap.la $(SILENT)
+	$(MAKE) all $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
           $(MAKE) check $(SILENT)
@@ -100,20 +102,14 @@
 	dh_prep -a
 	dh_installdirs -a
 	dh_install -a
-	#dh_install -p gap-dev build/obj ${gaptriplet}
-	#rm -r debian/gap-dev/${gaptriplet}/obj/src/*.o
 	$(MAKE) install-bin     DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
 	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
 	$(MAKE) install-sysinfo DESTDIR=$(CURDIR)/debian/gap-core   $(SILENT)
 	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/${library} $(SILENT)
 	$(MAKE) install-libgap  DESTDIR=$(CURDIR)/debian/libgap-dev $(SILENT)
-	cd debian/${library}/${libtriplet} && rm libgap.a libgap.la libgap.so
-	cd debian/libgap-dev/${libtriplet} && rm libgap.la libgap.so.*
+	cd debian/${library}/${libtriplet} && rm libgap.so libgap.a && rm -r pkgconfig
+	cd debian/libgap-dev/${libtriplet} && rm libgap.so.*
 	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
-	install -m 755 -d debian/gap-dev/usr/include/gap/src
-	rm debian/libgap-dev/usr/include/gap/src
-	for i in $$(cd debian/libgap-dev && echo usr/include/gap/*.h); do \
-	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
 	dh_install -p gap-core debian/gap-core/${gaptriplet}/sysinfo.gap usr/lib/gap
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
