## gap 4.14.0

=== debian/changelog ===
gap (4.14.0-4) unstable; urgency=medium

  * Force -stdc=gnu17  to fix FTBFS with C23.  Closes: #1096671.

 -- Bill Allombert <ballombe@debian.org>  Fri, 12 Sep 2025 09:22:10 +0200

gap (4.14.0-3) unstable; urgency=medium

  * patch:
    - version-date-SDE: set TZ=C for reproducible builds

 -- Bill Allombert <ballombe@debian.org>  Sun, 29 Dec 2024 17:46:20 +0100

gap (4.14.0-2) unstable; urgency=medium

  * Source only upload

 -- Bill Allombert <ballombe@debian.org>  Wed, 11 Dec 2024 13:31:15 +0100

gap (4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * patches:
    - doc_make_allow_warning: new: allow missing crossref
    - fix-version-stdin: new:fix gap --version
    - version-date-SDE: new: fix gap --version date
    - fix--help: new: fix missing line in manpage
    - gac-no-workspace: new: fix gac when a workspace is in effect
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules: call dh_dwz -a

 -- Bill Allombert <ballombe@debian.org>  Mon, 09 Dec 2024 21:44:55 +0100

gap (4.14.0~beta1-1) experimental; urgency=medium

  * New upstream release.
  * debian/control:
    - Build-Depends on gap-smallgrp-extra (>= 1.5.4-2) for the test
  * debian/rules:
    - adjust shlibs to libgap9 (>= 4.14)

 -- Bill Allombert <ballombe@debian.org>  Sun, 24 Nov 2024 22:44:28 +0100
