=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
                libgmp-dev, libreadline-dev, zlib1g-dev,
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
-               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
+               gap-smallgrp-extra (>= 1.5.4-2), gap-transgrp, gap-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no
