=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,8 @@
 else
 CFLAGS += -O2
 endif
-CXXFLAGS := $(CFLAGS)
+CXXFLAGS := $(CFLAGS) -std=gnu++17
+CFLAGS += -std=gnu17
 export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
@@ -158,11 +159,12 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -p $(library) -V '$(library)'
+	dh_dwz -a
+	dh_strip -a
+	dh_makeshlibs -p $(library) -V '$(library) (>= 4.14)'
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a -- $(SUBSTVARS)
