## gap 4.15.0~beta1

=== debian/changelog ===
gap (4.15.0~beta1-1) experimental; urgency=medium

  * New upstream release.
    - Fix FTBFS with C23.  Closes: #1096671.
  * patch:
    - fix-version-stdin: merged upstream
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control, debian/rules: soname bump:
    - replace libgap9 by libgap10.
    - adjust shlibs to libgap10 (>= 4.15)
  * debian/control:
    - Bump Standards-Version to 4.7.2
  * debian/copyright: update to new upstream COPYRIGHT

 -- Bill Allombert <ballombe@debian.org>  Thu, 11 Sep 2025 22:53:04 +0200
