=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep, gap-table-of-marks
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.gap-system.org/
 
 Package: gap
@@ -115,8 +115,8 @@
 Package: libgap-dev
 Architecture: any
 Section: libdevel
-Provides: libgap9-dev
-Depends: libgap9 (= ${binary:Version}), libc-dev, ${misc:Depends}
+Provides: libgap10-dev
+Depends: libgap10 (= ${binary:Version}), libc-dev, ${misc:Depends}
 Replaces: gap-dev (<< 4.11.0)
 Multi-Arch: same
 Description: GAP computer algebra system, compiler and development files
@@ -129,7 +129,7 @@
  .
  This package contains the include files and static library.
 
-Package: libgap9
+Package: libgap10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gap-libs (=${source:Version})
