=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 triplet = $(DEB_HOST_MULTIARCH)
 libtriplet = usr/lib/$(triplet)
 gaptriplet = $(libtriplet)/gap
-library = libgap9
+library = libgap10
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
@@ -28,8 +28,7 @@
 else
 CFLAGS += -O2
 endif
-CXXFLAGS := $(CFLAGS) -std=gnu++17
-CFLAGS += -std=gnu17
+CXXFLAGS := $(CFLAGS)
 export CFLAGS CXXFLAGS
 
 LDFLAGS = -Wl,-z,relro
@@ -113,6 +112,7 @@
 	dh_link -p gap-dev /usr/bin/gac /${libtriplet}/gap/gac
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
 	dh_install -p gap-core debian/gap-core/${gaptriplet}/sysinfo.gap usr/lib/gap
+	mv debian/gap-core/usr/bin/gap debian/gap-core/${libtriplet}/gap/
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
 	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
@@ -164,7 +164,7 @@
 	dh_fixperms -a
 	dh_dwz -a
 	dh_strip -a
-	dh_makeshlibs -p $(library) -V '$(library) (>= 4.14)'
+	dh_makeshlibs -p $(library) -V '$(library) (>= 4.15)'
 	dh_shlibdeps -a
 	dh_installdeb -a
 	dh_gencontrol -a -- $(SUBSTVARS)
