## gap 4.15.0~beta2

=== debian/changelog ===
gap (4.15.0~beta2-1) experimental; urgency=medium

  * New upstream beta release.
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/rules:
    - make build-*-stamp to depend on config.status. Closes: #1105357
    - configure: remove unsupported --enable-static.
  * debian/control: Suggests: gap-anupq

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Sep 2025 11:20:25 +0200
