=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
             gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
             gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
-Suggests: gap-smallgrp-extra, gap-aclib, gap-atlasrep, gap-browse, gap-congruence,
+Suggests: gap-smallgrp-extra, gap-aclib, gap-anupq, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
           gap-polymaking, gap-radiroot, gap-scscp, gap-sonata, gap-toric
