## gap 4.15.0~beta3

=== debian/changelog ===
gap (4.15.0~beta3-1) experimental; urgency=medium

  * New upstream beta release.
    - Fix FTBFS on GNU/Hurd
  * debian/gap2deb: update to salsa.debian.org version.
  * debian/control: Recommends: gap-polenta

 -- Bill Allombert <ballombe@debian.org>  Wed, 24 Sep 2025 11:28:57 +0200
