=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
 Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp, gap-smallgrp,
             gap-alnuth, gap-autpgrp, gap-character-tables, gap-factint,
-            gap-fga, gap-laguna, gap-polycyclic, gap-table-of-marks
+            gap-fga, gap-laguna, gap-polenta, gap-polycyclic, gap-table-of-marks
 Suggests: gap-smallgrp-extra, gap-aclib, gap-anupq, gap-atlasrep, gap-browse, gap-congruence,
           gap-crystcat, gap-cryst, gap-design, gap-float, gap-grape,
           gap-guava, gap-hap, gap-hapcryst, gap-io, gap-nq, gap-openmath,
