=== debian/changelog ===
gap (4.15.0-1) unstable; urgency=medium

  * New upstream release.
    - Fix FTBFS with C23.  Closes: #1096671.
    - make build-*-stamp to depend on config.status. Closes: #1105357
  * debian/control: remove obsolete Breaks added in 4.11.0-4

 -- Bill Allombert <ballombe@debian.org>  Sun, 28 Sep 2025 23:59:04 +0200
