=== debian/control ===
--- 
+++ 
@@ -37,7 +37,6 @@
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
-Breaks: gap-float (<< 0.9.1+ds-6), gap-io (<< 4.7.0+ds-2), gap-guava-bin (<< 3.15+ds-2), gap-scscp (<< 2.3.1+ds-1), gap-openmath (<< 11.5.0+ds-1)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
