=== debian/rules ===
--- 
+++ 
@@ -43,8 +43,7 @@
 	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure \
           --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) \
           --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --libdir=/$(libtriplet) \
-          SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd STRIP=/bin/true \
-          --enable-static
+          SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd STRIP=/bin/true
 
 prep: prep-stamp
 prep-stamp:
@@ -58,8 +57,8 @@
 	ln -s /usr/share/gap/pkg/TransGrp pkg
 	touch prep-stamp
 
-build-arch:  config.status build-arch-stamp
-build-arch-stamp: prep-stamp
+build-arch: build-arch-stamp
+build-arch-stamp: config.status prep-stamp
 	dh_testdir
 	$(MAKE) all $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -69,8 +68,8 @@
 	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
 
-build-indep: config.status  build-indep-stamp
-build-indep-stamp: build-arch-stamp
+build-indep: build-indep-stamp
+build-indep-stamp: config.status build-arch-stamp
 	dh_testdir
 	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
 	$(MAKE) -C debian/doc
