## gap 4.15.1

=== debian/changelog ===
gap (4.15.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bill Allombert <ballombe@debian.org>  Fri, 14 Nov 2025 23:23:31 +0100
