=== debian/watch ===
version=3
https://github.com/gap-system/gap/releases .*/v([^/]+)/gap-\d\S+-core\.tar\.gz debian
